name: Warcraft III - Reign of Chaos
game_slug: warcraft-iii-reign-of-chaos
runner: wine
version: ElAmigos Repack
slug: warcraft-iii-reign-of-chaos-elamigos
script:
  files:
  - mod: https://github.com/legluondunet/MyLittleLutrisScripts/raw/master/Warcraft%20III%20-%20Reign%20of%20Chaos/RenderEdge_Widescreen.mix
  - script: https://github.com/legluondunet/MyLittleLutrisScripts/raw/master/Warcraft%20III%20-%20Reign%20of%20Chaos/resolution.sh
  - reg_file: https://github.com/legluondunet/MyLittleLutrisScripts/raw/master/Warcraft%20III%20-%20Reign%20of%20Chaos/warcraft_iii_cd_utf8.reg
  game:
    args: -opengl -window
    exe: drive_c/Games/WarCraft III/Warcraft III.exe
    prefix: $GAMEDIR
  installer:
  - task:
      arch: win64
      name: create_prefix
      prefix: $GAMEDIR
  - task:
      app: baekmuk arial lavfilters
      name: winetricks
      prefix: $GAMEDIR
  - insert-disc:
      requires: reign.ico
  - task:
      description: Installing Warcraft III (ElAmigos Repack)...
      executable: $DISC/setup.exe
      name: wineexec
  - merge:
      dst: $GAMEDIR/drive_c/Program Files (x86)/Warcraft III
      src: reg_file
  - chmodx: script
  - execute:
      args: $RESOLUTION_WIDTH $RESOLUTION_HEIGHT
      file: script
  - task:
      filename: $GAMEDIR/drive_c/Games/WarCraft III/warcraft_iii_cd_utf8.reg
      name: set_regedit_file
  - copy:
      dst: $GAMEDIR/drive_c/Games/WarCraft III
      src: mod
  system:
    env:
      MESA_LOADER_DRIVER_OVERRIDE: zink
    gamescope: false
    gamescope_fps_limiter: '60'
    gamescope_game_res: 1920x1080
    gamescope_output_res: 1920x1080
  wine:
    dxvk: false
